Bug 203018 - Cannot add JIRA issue tracker
Cannot add JIRA issue tracker
Status: RESOLVED WONTFIX
Product: connecteddeveloper
Classification: Unclassified
Component: Jira
7.1
PC Linux
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
: PLATFORM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 05:30 UTC by dwuysan
Modified: 2011-11-16 16:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Attached the message log when failed to validate against JIRA (66.57 KB, application/octet-stream)
2011-10-04 21:23 UTC, dwuysan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dwuysan 2011-10-04 05:30:32 UTC
Product Version = NetBeans IDE 7.1 Beta (Build 201109252201)
Operating System = Linux version 2.6.38-11-generic running on amd64
Java; VM; Vendor = 1.7.0_02-ea
Runtime = Java HotSpot(TM) 64-Bit Server VM 22.0-b06

Have tried adding JIRA using NetBeans 7.0.1 and it is successful, whilst using NetBeans 7.1 it is failing. Error is Validation error.

However, start again, and do not click on Validate (Click OK instead) and everything works okay.
Comment 1 Tomas Stupka 2011-10-04 10:15:36 UTC
please run netbeans with the switch -J-Dorg.netbeans.modules.jira.Jira.level=-1, reproduce the problem and attach your messages.log file to this issue

what is your jira server version?

thanks
Comment 2 dwuysan 2011-10-04 21:15:53 UTC
The JIRA version is Enterprise Edition, Version: 3.9-#233
Comment 3 dwuysan 2011-10-04 21:23:53 UTC
Created attachment 111486 [details]
Attached the message log when failed to validate against JIRA
Comment 4 Tomas Stupka 2011-10-20 14:59:46 UTC
> The JIRA version is Enterprise Edition, Version: 3.9-#233
from the messages.log
com.atlassian.connector.eclipse.internal.jira.core.service.JiraException: JIRA connector requires server 3.13 or later
at com.atlassian.connector.eclipse.internal.jira.core.JiraClientFactory.validateConnection(JiraClientFactory.java:168)

because of several other issues we had to upgrade the third party jira connector library we use. Unfortunately, the minimum supported version now is 3.13.

fixed the exception handling, so that the returned message is correctly logged and displayed in the repository dialog.
core-main #7c26910224f8
Comment 5 Quality Engineering 2011-10-24 14:14:09 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/7c26910224f8
User: Tomas Stupka <tstupka@netbeans.org>
Log: issue #203018 - Cannot add JIRA issue tracker


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo